/* 
 * Default Styling for all Servoy objects
 */
form {
	background-color: #FFFFFF;
}

form.main {
	background-color: #f0f0f0;
}

form.login {
	background-image: url("media:///quadrato.jpg");
	background-repeat: repeat-y repeat-x;
}

body.main {
	background-color: #f0f0f0;
}

header.main, footer.main { 
	background-color: #545454;
}

form.list {
	background-color: #FFFFFF;
}

body.list {
	background-color: #FFFFFF;
}

header.list {
	background-color: #d2d2d2;
}

footer.list {
	background-color: #d2d2d2;
}


tabpanel {
	border: 0px solid;
}

tabpanel.base {
	background-color: #f0f0f0;
	font-family: Calibri, Arial, sans-serif;
	border-color: #545454;
	border-style: 1px solid;
}



/* 
 * Example of additional grid styling (Portals and TableViews)
 * The grid style class needs to be set on form; grid_header selector works if there are no 'label for' labels defined to style the header.
 */
form.grid odd,form.grid even,form.grid selected,form.grid grid_header {
	
}

label,button,field,combobox,check,radio,listbox,spinner {
	font-family: Arial;
	color: #5b5b5b;
	border-color:#5b5b5b;
}

label.percentuale {
	
}

combobox {
	
}

check {
	
}

radio {
	
}

listbox {
	
}

spinner {
	
}

label {
	
}

label.fieldlabel {
	
}

label.launcher {
	text-align: center;
	font-size: 15px;
	font-family: Calibri, Arial, sans-serif;
}

label.login {
	color: white;
	font-size: 18px;
	font-family: Calibri, Arial, sans-serif;
}

label.base {
	text-align: right;
	color: #d2d2d2;
	font-size: 11px;
	font-family: Calibri, Arial, sans-serif;
}

label.title {
	border: 1px solid #d2d2d2;
	text-align: center;
	font-size: 13px;
	font-family: Arial;
	font-weight: bold;
}

label.lista {
	border: 1px solid #d2d2d2;
	text-align: center;
	color: #5b5b5b !important;
	font-size: 10px;
	font-family: Arial;
	background-color: #FFFFFF;
}

field.details {
	border: 1px solid #d2d2d2;
	text-align: center;
	color: #5b5b5b !important;
	font-size: 10px;
	font-family: Arial;
	background-color: #FFFFFF;
}

label.header {
	border: 1px solid #d2d2d2;
	text-align: center;
	color: #545454;
	font-size: 10px;
	font-family: Arial;
	background-color: #d2d2d2;
}

label.stato {
	border: 1px solid #d2d2d2;
	text-align: center;
	font-size: 11px;
	font-family: Calibri, Arial, sans-serif;
	background-color: #FFFFFF;
}

field.stato {
	border: 1px solid #d2d2d2;
	text-align: center;
	font-size: 11px;
	font-family: Calibri, Arial, sans-serif;
	background-color: #FFFFFF;
}

label.initialmessage {
	color: white;
	font-size: 15px;
	font-family: Calibri, Arial, sans-serif;
}

button.base {
	font-size: 16px;
	padding: .5em;
	width: 15em;
	color: white;
	background-color: #494949;
	border-color: #494949;
	z-index: 1;
}

button.login{
	font-size: 16px;
	padding: .5em;
	width: 15em;
	color: white;
	background-color: #494949;
	border-color: #494949;
	border-radius: 6px;
	z-index: 1;
}

button.launcher {
	font-size: 15px;
	font-family: "Italic";
	text-align: left;
	border-style: none;
}

button.main {
	font-size: 10px;
	color: white;
	background-color: #d2d2d2;
	border-color: #d2d2d2;
	border-radius: 6px;
	border-style: solid;
}

button.goToScheda {
	font-size: 16px;
	padding: .5em;
	width: 15em;
	color: #d2d2d2;
	background-color: #FFFFFF;
	border-color: #d2d2d2;
	border-radius: 6px;
}

button.actionbar {
	font-size: 16px;
	background-color: #515151;
}

portal {
	
}

/* Example of odd/even/selected row styling in grids (Portals and TableViews)*/
odd,even,selected {
	
}

odd {
	
}

even {
	
}

selected {
	
}


/*
 *	The grid header can also be styled using 'label for' label. In order for this example to work you need to set the label style class to gridheader.
 */
label.gridheader {
	background-image: url("media:///quadrato.jpg");
}

tabpanel.grid { /*Style for a TabPanel that contains just a TableView*/
	background-color: #FFFFFF;
	/*box-shadow: 1px 1px 12px #555;*/
}

/*
 * Example style for the main form of a solution
 */
form.main {
	background-color: #FFFFFF;
}

form.base {
	
	resize: both;
	overflow: auto;
}

main.title_header {
	background-color: #515151;
	resize: both;
	overflow: auto;
}

form.title_footer {
	background-color: #515151;
	/*resize: both;
	overflow: auto;*/
}

title_header {
	background-color: #515151;
}

title_footer {
	background-color: #515151;
}

label.bottom_button {
	background-color: #545454;
	color: #FFFFFF;
	text-align: center;
	font-size: 13px;
	font-family: Arial;
	font-weight: bold;
}

label.top_button {
	color: #5b5b5b;
	font-size: 11px;
	font-family: Lato;
	font-weight: light;
	text-align: right;
}

/* 
 * Example of how to define custom styling for a form with a specific StyleClass
 * These styles are applied to form and its element on forms on which the StyleClass is set to "detail"
 */
form.detail {
	background-color: #F0F0F0;
}

form.detail field.pk {
	/*Style for Fields having a StyleClass "pk" on a form having StyleClass ""detail*/
	
}

tabpanel.detail {
	color: #5b5b5b;
	font-size: 13px;
	font-family: Arial, sans-serif;
	border-color: #d2d2d2;
	border-radius: 6px;
	border-style: solid;
}

field.attivita {
	text-align: center;
	font-family: Arial;
	color: #5b5b5b;
}

label.details {
	text-align: center;
	color: #7c7c7c;
	font-size: 13px;
	font-family: Arial, sans-serif;
	background-color: #F0F0F0;
}